{
  "name": "diarista-cliente-app",
  "version": "0.0.1",
  "description": "Aplicativo para o cliente do Diarista",
  "productName": "Diarista App",
  "author": "zntt <zanattagg@gmail.com>",
  "type": "module",
  "private": true,
  "scripts": {
    "lint": "eslint --ext .js,.vue ./",
    "format": "prettier --write \"**/*.{js,vue,scss,html,md,json}\" --ignore-path .gitignore",
    "test": "echo \"No test specified\" && exit 0",
    "dev": "cross-env APP_ENV=dev quasar dev",
    "dev:staging": "APP_ENV=staging quasar dev",
    "dev:android": "APP_ENV=dev quasar dev -m capacitor -T android",
    "dev:ios": "APP_ENV=dev quasar dev -m capacitor -T ios",
    "build": "APP_ENV=prod quasar build",
    "build:dev": "APP_ENV=dev quasar build",
    "build:staging": "APP_ENV=staging quasar build",
    "build:prod": "APP_ENV=prod quasar build",
    "build:ios": "APP_ENV=prod quasar build -m capacitor -T ios --ide",
    "build:android": "APP_ENV=prod quasar build -m capacitor -T android --ide"
  },
  "dependencies": {
    "@bufbuild/protobuf": "^2.5.1",
    "@capacitor/browser": "^7.0.5",
    "@capacitor/camera": "^7.0.5",
    "@capacitor/core": "^7.6.8",
    "@capacitor/device": "^7.0.1",
    "@capacitor/geolocation": "^7.1.8",
    "@capacitor/google-maps": "^7.2.2",
    "@capacitor/push-notifications": "^7.0.7",
    "@quasar/cli": "^2.5.0",
    "@quasar/extras": "^1.17.0",
    "axios": "^1.9.0",
    "chart.js": "^4.4.9",
    "chartjs-plugin-datalabels": "^2.2.0",
    "date-fns": "^4.1.0",
    "fast-deep-equal": "^3.1.3",
    "pinia": "^3.0.2",
    "quasar": "^2.18.1",
    "socket.io-client": "^4.8.1",
    "vue": "^3.5.13",
    "vue-chartjs": "^5.3.2",
    "vue-currency-input": "^3.2.1",
    "vue-i18n": "^11.1.4",
    "vue-router": "^4.5.1"
  },
  "devDependencies": {
    "@bufbuild/buf": "^1.54.0",
    "@bufbuild/protoc-gen-es": "^2.5.1",
    "@capacitor/cli": "^7.6.8",
    "@capacitor/keyboard": "^7.0.1",
    "@capacitor/preferences": "^7.0.1",
    "@capacitor/status-bar": "^7.0.1",
    "@eslint/js": "^9.27.0",
    "@intlify/eslint-plugin-vue-i18n": "^4.0.1",
    "@intlify/unplugin-vue-i18n": "^6.0.8",
    "@quasar/app-vite": "^2.2.1",
    "@vue/eslint-config-prettier": "^10.2.0",
    "autoprefixer": "^10.4.21",
    "cross-env": "^10.1.0",
    "eslint": "^9.31.0",
    "eslint-config-prettier": "^10.1.5",
    "eslint-plugin-vue": "^10.1.0",
    "globals": "^16.2.0",
    "postcss": "^8.5.3",
    "prettier": "^3.5.3",
    "vite-plugin-checker": "^0.9.3"
  },
  "engines": {
    "node": "^24 || ^22 || ^20 || ^18",
    "npm": ">= 6.13.4",
    "yarn": ">= 1.21.1"
  }
}
